Skip to Content
avatar image
Former Member

Upgrading from Syclo Smart Service Manager version 3.0 to 4.1


Hi,

I am working on an application built on Syclo Smart Service Manager 3.0.

We have done 60% customization on the standard code.

Now the client is planning to move to Smart Service Manager version 4.1.

If we upgrade the application to 4.1 would it require all the customizations to be done again.

Or else can we convert 3.0 into 4.1 taking inspiration from it.

What is the best approach that should be taken?

Also what are the agentry server and client versions that will support SSM 4.1?

Thanks,

Star

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Sep 11, 2014 at 12:31 PM

    In terms of the Agentry version for Service Manager 4.1 it is based on the SAP Mobile Platform 3.0 (SMP).  The Agentry version that is part of the SMP 3.0 platform is Agentry 7.x and you will need to use the appropriate Agentry 7.x clients when interacting with SMP 3.0.

    All the same export/import/compare functionality still exists so you can certainly take your changes and migrate them forward but I would expect you will also need to make some additional changes to integrate it into the look and feel of the SM 4.1 product.

    The high level process would be to identify your changes to the 3.0 base product, export the changes and import into the new version.  After the import you can then review and modify the screens for any necessary changes.

    What platform are you currently targeting?

    --Bill

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      For Service Manager 4.1 there isn't a Agentry Server, but it is part of the SMP Server and you create an Agentry Application, but yes the Client and Editor need to be on Agentry 7.